<?php

require 'vendor/phpmailer/phpmailer/src/Exception.php';
require 'vendor/phpmailer/phpmailer/src/PHPMailer.php';
require 'vendor/phpmailer/phpmailer/src/SMTP.php';


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;


include 'conexao.php';

$usuario = $_POST['usuario'];

$sql_consult = $sqli->query("SELECT * FROM usuarios WHERE email='$usuario'");
$row_consult = $sql_consult->fetch_assoc();


if($row_consult['id'] == '') {

    echo "<script> alert('Email nao consta em nossa base de dados!'); window.location.href='login.php'; </script>";

}

else {


    $insert = $sqli->query("INSERT into esqueci_senha (id, id_usuario, nome, usuario, data_limite, status) VALUES ('', '".$row_consult['id']."', '".$row_consult['nome']."', '".$row_consult['email']."', '".date('Y-m-d H:i:s', strtotime('+1 days'))."', '0')");

    $sql_esqueci = $sqli->query("SELECT * FROM esqueci_senha WHERE id_usuario='".$row_consult['id']."' ORDER BY id DESC LIMIT 1");
    $row_esqueci = $sql_esqueci->fetch_assoc();


    // Instância da classe
    $mail = new PHPMailer(true);

    $mail = new PHPMailer();
    $mail->IsSMTP(); // Define que a mensagem será SMTP
    $mail->Host = "marketingcultural.com.br"; // Endereço do servidor SMTP
    $mail->SMTPAuth = true; // Usa autenticação SMTP? (opcional)
    $mail->Username = 'envio@marketingcultural.com.br'; // Usuário do servidor SMTP
    $mail->Password = '123mudar'; // Senha do servidor SMTP
    $mail->SMTPDebug = 0;
    $mail->Port = 465;
    $mail->SMTPSecure = "ssl";                 // sets the prefix to the servier
    $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
    $mail->CharSet = 'UTF-8';
    $mail->From = "envio@marketingcultural.com.br"; // Seu e-mail
    $mail->FromName = "Marketing Cultural"; // Seu nome
    $mail->AddAddress($usuario);
    $mail->isHTML(true);  // Seta o formato do e-mail para aceitar conteúdo HTML
    $mail->Subject = 'Recuperação de Senha - Marketing Cultural';
    $mail->Body    = '<h1><img src="https://marketingcultural.com.br/novo/app/assets/images/logo.png" /></h1><h3>Olá, '.$row_consult['nome'].', para renovar sua senha, clique no link abaixo:</h3><br><a href="https://marketingcultural.com.br/novo/app/renovacao_senha.php?id='.$row_esqueci['id'].'">Link para renovar senha</a>';
    $mail->AltBody = '<h1><img src="https://marketingcultural.com.br/novo/app/assets/images/logo.png" /></h1><h3>Olá, '.$row_consult['nome'].', para renovar sua senha, clique no link abaixo:</h3><br><a href="https://marketingcultural.com.br/novo/app/renovacao_senha.php?id='.$row_esqueci['id'].'">Link para renovar senha</a>';
    $mail->send();

    echo "<script> alert('Link para renovar senha enviado com sucesso!'); window.location.href='login.php'; </script>";

}

?>